#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const figlet_1 = __importDefault(require("figlet"));
const cross_spawn_1 = __importDefault(require("cross-spawn"));
const commander_1 = require("commander");
console.log(figlet_1.default.textSync('Sertis Boilerplate'));
const program = new commander_1.Command();
program
    .version('0.0.1')
    .description('An generate CLI for managing a repository')
    .option('-i, --init', 'Init repository')
    .parse(process.argv);
const options = program.opts();
if (!process.argv.slice(2).length) {
    program.outputHelp();
}
if (options['init']) {
    (0, cross_spawn_1.default)('npx', ['hygen', 'init', 'repo'], { stdio: 'inherit' }).on('exit', function (exitCode, signal) {
        if (typeof exitCode === 'number') {
            process.exit(exitCode);
        }
        else {
            process.kill(process.pid, signal);
        }
    });
}
//# sourceMappingURL=cli.js.map